
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_seatavailabilityrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for COS_AssocListItemType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="COS_AssocListItemType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Equipment"/&amp;gt;
 *     &amp;lt;enumeration value="FlightGroup"/&amp;gt;
 *     &amp;lt;enumeration value="FlightOriginDestination"/&amp;gt;
 *     &amp;lt;enumeration value="FlightSegment"/&amp;gt;
 *     &amp;lt;enumeration value="MediaGroup"/&amp;gt;
 *     &amp;lt;enumeration value="MediaItem"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "COS_AssocListItemType")
@XmlEnum
public enum COSAssocListItemType {

    @XmlEnumValue("Equipment")
    EQUIPMENT("Equipment"),
    @XmlEnumValue("FlightGroup")
    FLIGHT_GROUP("FlightGroup"),
    @XmlEnumValue("FlightOriginDestination")
    FLIGHT_ORIGIN_DESTINATION("FlightOriginDestination"),
    @XmlEnumValue("FlightSegment")
    FLIGHT_SEGMENT("FlightSegment"),
    @XmlEnumValue("MediaGroup")
    MEDIA_GROUP("MediaGroup"),
    @XmlEnumValue("MediaItem")
    MEDIA_ITEM("MediaItem");
    private final String value;

    COSAssocListItemType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static COSAssocListItemType fromValue(String v) {
        for (COSAssocListItemType c: COSAssocListItemType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
